function w=pclvl1(p,density)

% PCLVL1      Calculates p% contour levels for uni-variate data.
%
%             PCLVL1(P,DENSITY) calculates contour levels for the
%             percentages in P and the (pre-calculated) densities 
%             in DENSITY.
%
%             Christian C. Beardah 1994

r=density; 

w=zeros(length(p),1);

n=length(r);

p=100-p;

[order index]=sort(r);

m=ceil(n*p/100);

for i=1:length(p),
  if m(i)==0,
    v=0.9*order(1); 
  end;

  if m(i)>0 & m(i)<n,
    v=(order(m(i))+order(m(i)+1))/2;
  end;

  if m(i)==n,
    v=(order(n-1)+order(n))/2;
  end;

  w(i,1)=v;

end;
