function S=snmd(n,w,sigma,mu)

% SNMD        Normal mixture density random sample.
%
%             Example: Random sample of 1000 observations from f_1
%                      of Wand and Jones (pg 13):
%
%                      S=snmd(1000,[0.75 0.25]',[1 1/3]',[0 3/2]'); 
%
%             SNMD(N,W,SIGMA,MU)
%
%             Christian C. Beardah 1995 

b(1)=w(1);
for i=2:length(w),
  b(i)=b(i-1)+w(i);
end;

for i=1:n,
  r=rand;
  for j=1:length(w),
    if r<b(j),
      S(i)=sigma(j)*randn+mu(j);
      break;
    end;
  end;
end;
